# Mark orders as shipped

Use **markShipped** to programmatically confirm the delivery of an order with physical products.

## Requirements

You can confirm the shipment only for orders with tangible products. You cannot mark as shipped orders that are no longer authorized (have been reversed).

## Request parameters

| Parameters                 | Type / Description                                                                                                                                                                                        |
| -------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `RefNo`                    | <p><strong>Required (string)</strong><br>The system-generated order reference.</p>                                                                                                                        |
| `TrackingNumber`           | <p><strong>Optional (string)</strong><br>Tracking number that customers can use for checking the delivery of their products.</p>                                                                          |
| `Comment`                  | <p><strong>Optional (string)</strong><br>Additional information displayed in the delivery confirmation email sent to end-users.</p>                                                                       |
| `StopCustomerNotification` | <p><strong>Optional (boolean)</strong><br>Possible values:</p><ul><li>TRUE - to send a notice informing customers of product shipment.</li><li>FALSE - will not trigger a customer notification</li></ul> |

### Request sample

```php
require('PATH_TO_AUTH');

$RefNo = "789527422";
$TrackingNumber = '921840912';
$StopCustomerNotification = 1;
$Comment = "We send this note to confirm the shipment of your products.";


$jsonRpcRequest = new stdClass();
$jsonRpcRequest->jsonrpc = '2.0';
$jsonRpcRequest->method = 'markShipped';
$jsonRpcRequest->params = array($sessionID, $RefNo, $TrackingNumber, $StopCustomerNotification, $Comment);
$jsonRpcRequest->id = $i++;

$markOrderAsShipped = callRPC($jsonRpcRequest, $host);

var_dump($markOrderAsShipped);
```

## Response

```
boolean
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/shipping-in-api/mark-orders-as-shipped.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
